# // @ ScanFileTree < PCHAR Path, PCHAR Mask, FSCANPROC Fp >        
+
  Target = Allocate (T_CHARS, Path, "/", Mask) 

  FilesIn (Target, (PCHAR Name) ->
    if Name->IsDirectory ()
      ScanFileTree (Name, Mask, Fp) 
    else 
      Fp (Name) 
  ) 
,
  Free (&Target)
;